<?php

include_once 'module.php';

/**
 * This Handler filters all Strict-Standards-Message form PHP ans removes the Non-static metod errors from PEAR occuring in Flexy and Quickform A VERY LOT
 */
function removeFlexyAndQuickformStrictStandardErrors($errorcode, $errormessage, $errorfile){
	if (substr( $errormessage, 0, 22 ) === "Non-static method PEAR") {
		if (preg_match("/(Flexy|QuickForm)/", $errorfile)){
			//This is ignored
			return TRUE;
		}else{
			//Return it to default-handler
			return FALSE;
		}
	}else{
		//Return it to default-handler
		return FALSE;
	}
}


set_error_handler("removeFlexyAndQuickformStrictStandardErrors", E_STRICT);


function check_input(& $inarray, $iname, $inlen, $inchar, $inpatt, $infile, $indef, $inerr) {
	$inresult = NULL;
	$inresult = array_key_exists($iname, $inarray) ? $inarray[$iname] : $indef;
	$inresult = ($inresult && $inlen > 0) ? substr($inresult, 0, $inlen) : substr($inresult, 0, 250);
	$inresult = ($inresult && $inchar <> "") ? preg_replace('/' . $inchar . '/', "", $inresult) : $inresult;
	$inresult = ($inresult && ($inpatt == "" || preg_match('/' . $inpatt . '/', $inresult))) ? $inresult : NULL;
	if (($inresult == "") && $iname == "doc") {
		$inresult = $indef;
	}
	if ($iname != "style") {
		$inresult = (!$inresult || ($inresult && $infile <> "" && file_exists(preg_replace('/^(\/)+/', $_SERVER['DOCUMENT_ROOT'] . '/', preg_replace('/###/', $inresult, $infile))))) ? $inresult : $inerr;
	}
	return $inresult;
}


function control_menu($iddoc, $idmenu) {
	$idcum = "";
	$idlist = preg_split("/-/", preg_replace("/-$/", "", preg_replace("/[0-9]{2}/", "$0-", $iddoc)));
	$idanz = count($idlist);
	for ($i = 0; $i < $idanz; $i++) {
		$idcum .= $idlist[$i];
		if ($i +1 < $idanz) {
			$idsep = $idmenu['sub'] <> "" ? "," : "";
			$idmenu['sub'] .= $idsep . $idcum;
			$idsep = $idmenu['top'] <> "" ? "," : "";
			$idmenu['top'] .= $idsep . $idcum;
		} else {
			$idsep = $idmenu['item'] <> "" ? "," : "";
			$idmenu['sub'] .= ",".$idcum;
			$idmenu['item'] .= $idsep . $idcum;
		}
	}
	return $idmenu;
}


/**
 * $_DLRG_DOC Variable auswerten und behandeln
 */
function handleDoc($_DLRG_DOC) {
         //includen von files am Anfang der Seite
	 if(isset($_DLRG_DOC['include']) && $_DLRG_DOC['include'] != ""){
	   require_once($_DLRG_DOC['include']);
	 }

	//Starten einer Session
	if (isset ($_DLRG_DOC['session']) && $_DLRG_DOC['session'] == true) {
		if (isset ($_DLRG_DOC['session_name']) && $_DLRG_DOC['session_name'] != "") {
			session_name($_DLRG_DOC['session_name']);
		}
		session_start();
	}

	//Starten einer DB Connects
	if (isset ($_DLRG_DOC['connectDB']) && $_DLRG_DOC['connectDB'] == true) {
		connectDLRG_DB();
	}
	
	// Hiddean Feature: Jahreszeitenhandling
	if (isset ($_DLRG_DOC['season']) && $_DLRG_DOC['season'] == true) {
		$GLOBALS["season"] = true;
	}

	if(!isset($_DLRG_DOC['iscLoggingConf'])){
		include_once 'loggingConf.php';
	}
}

function loadJSFiles($pfad){
	$content = <<<JSFILES
<script type="text/javascript" src="https://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js"></script>
	<script type="text/javascript">jQuery.noConflict();</script>
	<script type="text/javascript" src="$pfad/sv/js/underscore-min.js"></script>
	<script type="text/javascript" src="$pfad/sv/js/intention.js"></script>
	<script type="text/javascript" src="$pfad/sv/js/context.js"></script>
 	<!-- Javascript passt Output der Tabellen in der mobilen Version an -->
	<script type="text/javascript" src="$pfad/sv/js/stacktable.js"></script>
	<script type="text/javascript" src="$pfad/sv/js/stacktable.conf.js"></script>

	<script type="text/javascript" src="$pfad/sv/js/jquery.mousewheel-3.0.4.pack.js"></script>
  <script type="text/javascript" src="$pfad/sv/js/jquery.fancybox-1.3.4.js"></script>
  <script type="text/javascript" src="$pfad/sv/js/fancybox.conf.js"></script>
	<script type="text/javascript" src="$pfad/sv/js/jquery.accordion.js"></script>

	<script type="text/javascript" src="$pfad/sv/js/jquery.nivo.slider.pack.js"></script>
	<script type="text/javascript" src="$pfad/sv/js/nivo.slider.conf.js"></script>
	
	<script type="text/javascript" src="$pfad/sv/js/charts.js"></script>
	
JSFILES;
	return $content;
}

/**
 * Datenbankverbindung herstellen
 */
function connectDLRG_DB() {
	global $_DLRG_SQL;

	$server   = 'mysql:dbname='.$_DLRG_SQL['database'].';host='.$_DLRG_SQL['host'];
	$user     = $_DLRG_SQL['user'];
	$password = $_DLRG_SQL['pass'];
	$options  = array(PDO::MYSQL_ATTR_INIT_COMMAND => 'SET NAMES utf8');
	$pdo      = new PDO($server, $user, $password, $options);
	
	
	$_DLRG_SQL["connect"] = $pdo;
	return $_DLRG_SQL["connect"];
}